gtk.CellRendererToggle
Prev | The gtk Class Reference | Next

## gtk.CellRendererToggle

gtk.CellRendererToggle — an object that renders a toggle button into a TreeView cell

## Synopsis

    class gtk.CellRendererToggle(gtk.CellRenderer):
        gtk.CellRendererToggle()
        def get_radio()
        def set_radio(radio)
        def get_active()
        def set_active(setting)
        def get_activatable()
        def set_activatable(setting)

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.CellRenderer
          +-- gtk.CellRendererToggle

## gtk.CellRendererToggle Properties

gtk.Object Properties

gtk.CellRenderer Properties

"activatable" | Read/Write | If `True`, the toggle button can be activated
"active" | Read/Write | If `True`, the button is active.
"inconsistent" | Read/Write | If `True`, the button is in an inconsistent state. GTK+ 2.2 and above.
"indicator-size" | Read-Write | Size of check or radio indicator. Allowed values: >= 0. Default value: 12.
"radio" | Read/Write | If `True`, draw the toggle button as a radio button

## gtk.CellRendererToggle Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.CellRenderer Signal Prototypes

"toggled" | `def callback(`cellrenderertoggle`, `path`, `user_param1`, `...`)`

## Description

The `gtk.CellRendererToggle` manages the rendering of toggle button into a `gtk.TreeView` cell. The button is drawn as a radio- or checkbutton, depending on the "radio" property. When activated, it emits the toggled signal.

## Constructor

        gtk.CellRendererToggle()

Returns : | the new cell renderer

Creates a new `gtk.CellRendererToggle`. The toggle button rendering parameters are adjusted using the object properties. The object properties can be set globally (with `set_property`()). Also, with `gtk.TreeViewColumn`, you can bind a property to a value in a `gtk.TreeModel`. For example, you can bind the "active" property on the cell renderer to a boolean value in the model, thus causing the check button to reflect the state of the model.

## Methods

### gtk.CellRendererToggle.get_radio

        def get_radio()

Returns : | `True` if we're rendering radio toggles rather than checkboxes

The `get_radio`() method returns `True` if radio toggles rather than checkboxes are being rendered.

### gtk.CellRendererToggle.set_radio

        def set_radio(radio)

`radio` : | If `True` make the toggle look like a radio button

The `set_radio`() method sets the style of the toggle button. If `radio` is `True`, the cell renderer renders a radio toggle (i.e. a toggle in a group of mutually-exclusive toggles). If `False`, it renders a check toggle (a standalone boolean option). This can be set globally for the cell renderer, or changed just before rendering each cell in the model (for `gtk.TreeView`, you set up a per-row setting using `gtk.TreeViewColumn` to associate model columns with cell renderer properties).

### gtk.CellRendererToggle.get_active

        def get_active()

Returns : | `True` if the cell renderer is active.

The `get_active`() method returns `True` if the cell renderer is active. See `gtk.CellRendererToggle.set_active()`.

### gtk.CellRendererToggle.set_active

        def set_active(setting)

`setting` : | the value to set.

The `set_active`() method activates a cell renderer if `setting` is `True` and or deactivates a cell renderer if `setting` is `False`.

### gtk.CellRendererToggle.get_activatable

        def get_activatable()

Returns : | `True` if the cell renderer is activatable.

### Note

This method is available in PyGTK 2.22 and above.

The `get_activatable`() method returns `True` if the cell renderer is activatable.

### gtk.CellRendererToggle.set_activatable

        def set_activatable(setting)

`setting` : | the value to set.

### Note

This method is available in PyGTK 2.22 and above.

The `set_activatable`() method sets wether the cell renderer is activatable.

## Signals

### The "toggled" gtk.CellRendererToggle Signal

        def callback(cellrenderertoggle, path, user_param1, ...)

`cellrenderertoggle` : | the cellrenderertoggle that received the "toggled" signal
`path` : | the path of the cellrenderertoggle represented as a string
`user_param1` : | the first user parameter (if any) specified with the `connect`() method
`...` : | additional user parameters (if any)

The "toggled" signal is emitted when the toggle button in the cell changes state.

Prev | Up | Next
gtk.CellRendererText | Home | gtk.CellView